.btn {
  a.elementor-button {
    position: relative;
    border-radius: 0px !important;
    color: var(--c-negro);
    font-family: 'DM Sans' !important;
    text-transform: uppercase;
    font-weight: 300 !important;
    background-color: transparent !important;
    display: inline-block;
    fill: #fff;
    border: 1px solid var(--c-negro);
    font-size: 15px;
    line-height: 1;
    padding: 12px 40px;
    text-align: center;
    transition: all .3s;

    span {
      z-index: 333;
      text-decoration: inherit; 
    }

    &::after {
      content: '';
      position: absolute;
      top: 0;
      left: 0;
      width: 0%;
      height: 100%;
      background-color: var(--c-negro);
      transition: all .3s ease-in-out;
    }

    &:hover {
      color: var(--c-blanco); 
      &::after {
        width: 100%;
      }
    }
  }
}